Subject: [netmod] [Technical Errata Reported] RFC7950 (6078)

From: RFC Errata System <[email-masked]>
Date: Fri, 3 Apr 2020 02:07:19 -0700 (PDT)

The following errata report has been submitted for RFC7950,
"The YANG 1.1 Data Modeling Language".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6078

--------------------------------------
Type: Technical
Reported by: Michal Vasko <[email-masked]>

Section: 6.4.

Original Text
-------------
   For example, consider the following definition:

     leaf lxiv {
       type decimal64 {
         fraction-digits 18;
       }
       must ". <= 10";
     }

   An instance of the "lxiv" leaf having the value of
   10.0000000000000001 will then successfully pass validation.

Corrected Text
--------------
   For example, consider the following definition:

     leaf lxiv {
       type decimal64 {
         fraction-digits 18;
       }
       must ". <= 9";
     }

   An instance of the "lxiv" leaf having the value of
   9.0000000000000001 will then successfully pass validation.

Notes
-----
Value 10.0000000000000001 is not a valid decimal64 value with 18 fraction digits as per Section 9.3.4.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Martin Björklund <[email-masked]>
Date: Fri, 03 Apr 2020 12:41:35 +0200 (CEST)

Hi,

This errata is correct and should be accepted.

/martin

RFC Errata System <[email-masked]> wrote:
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Fri, 3 Apr 2020 11:00:00 +0000

Martin,

Thanks for confirming.

Regards,
Rob

> -----Original Message-----
> From: Martin Björklund <[email-masked]>
> Sent: 03 April 2020 11:42
> To: [email-masked]
> Cc: [email-masked]; Rob Wilton (rwilton) <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [netmod] [Technical Errata Reported] RFC7950 (6078)
> 
> Hi,
> 
> > The following errata report has been submitted for RFC7950, "The YANG
> > 1.1 Data Modeling Language".
> >
> > use "Reply All" to discuss whether it should be verified or rejected.
> > When a decision is reached, the verifying party can log in to change
> > the status and edit the report, if necessary.
> >